## clalsadrv 1.0.0

=== Makefile ===
CPPFLAGS += -I. -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDFLAGS += -L/usr/local/lib
LDLIBS += -lclalsadrv -lclthreads -lrt


#CLALSADRV_LIBDIR = /usr/local/lib
#CLALSADRV_INCDIR = /usr/local/include
CLALSADRV_LIBDIR = /usr/lib
CLALSADRV_INCDIR = /usr/include
CLALSADRV_SO = libclalsadrv.so
CLALSADRV_MAJ = $(CLALSADRV_SO).1
CLALSADRV_MIN = $(CLALSADRV_MAJ).0.0
CLALSADRV_DEP = -lasound
CLALSADRV_O = clalsadrv.o
CLALSADRV_H = clalsadrv.h


$(CLALSADRV_MIN): $(CLALSADRV_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLALSADRV_MAJ) -o $(CLALSADRV_MIN) $(CLALSADRV_O) $(CLALSADRV_DEP)


install:	$(CLALSADRV_MIN)
	cp -f $(CLALSADRV_H) $(CLALSADRV_INCDIR)
	cp -f $(CLALSADRV_MIN) $(CLALSADRV_LIBDIR)
	/sbin/ldconfig -n $(CLALSADRV_LIBDIR)
	ln -sf $(CLALSADRV_MIN) $(CLALSADRV_LIBDIR)/$(CLALSADRV_SO)


loopback:	loopback.cc
	gcc -o loopback loopback.cc $(LDFLAGS) $(LDLIBS)

clean:
	/bin/rm -f *.o *.a *.so.* *~ loopback


DIR := $(shell basename `pwd`)

archive:	clean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar

## clalsadrv 1.0.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CLALSADRV_INCDIR = /usr/include
 CLALSADRV_SO = libclalsadrv.so
 CLALSADRV_MAJ = $(CLALSADRV_SO).1
-CLALSADRV_MIN = $(CLALSADRV_MAJ).0.0
+CLALSADRV_MIN = $(CLALSADRV_MAJ).0.1
 CLALSADRV_DEP = -lasound
 CLALSADRV_O = clalsadrv.o
 CLALSADRV_H = clalsadrv.h

## clalsadrv 1.2.2

=== Makefile ===
#  Copyright (C) 2003-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 1
MINVERS = 2.2
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = clalsadrv-$(VERSION)


CPPFLAGS += -Wall -I. -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDLFAGS +=
LDLIBS += -lclalsadrv -lclthreads -lrt 


CLALSADRV_SO = libclalsadrv.so
CLALSADRV_MAJ = $(CLALSADRV_SO).$(MAJVERS)
CLALSADRV_MIN = $(CLALSADRV_MAJ).$(MINVERS)
CLALSADRV_DEP = -lasound
CLALSADRV_O = clalsadrv.o
CLALSADRV_H = clalsadrv.h


$(CLALSADRV_MIN): $(CLALSADRV_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLALSADRV_MAJ) -o $(CLALSADRV_MIN) $(CLALSADRV_O) $(CLALSADRV_DEP)


install:	$(CLALSADRV_MIN)
	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 644 $(CLALSADRV_H) $(PREFIX)/include
	/usr/bin/install -m 755 $(CLALSADRV_MIN) $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
	ln -sf $(CLALSADRV_MIN) $(PREFIX)/$(LIBDIR)/$(CLALSADRV_SO)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so.* loopback


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export clalsadrv $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## clalsadrv 2.0.0

=== apps/Makefile ===
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O2 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"


all:	alsa-loopback alsa-latency


LOOPBACK_O =	loopback.o
alsa-loopback:	LDLIBS += -lclthreads -lclalsadrv -lpthread -lrt
alsa-loopback:	$(LOOPBACK_O)
	g++ $(LDFLAGS) -o $@ $(LOOPBACK_O) $(LDLIBS)
$(LOOPBACK_O):
-include $(LOOPBACK_O:%.o=%.d)


LATENCY_O =	latency.o
alsa-latency:	LDLIBS += -lclthreads -lclalsadrv -lpthread -lrt
alsa-latency:	$(LATENCY_O)
	g++ $(LDFLAGS) -o $@ $(LATENCY_O) $(LDLIBS)
$(LATENCY_O):
-include $(LATENCY_O:%.o=%.d)


install:	all
	install -Dm 755 alsa-loopback $(DESTDIR)$(PREFIX)/bin/alsa-loopback
	install -Dm 755 alsa-latency  $(DESTDIR)$(PREFIX)/bin/alsa-latency


clean:
	/bin/rm -f *~ *.o *.a *.d *.so alsa-loopback alsa-latency

=== libs/Makefile ===
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 2
MINVERS = 0.0
VERSION = $(MAJVERS).$(MINVERS)


CPPFLAGS += -Wall -I. -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDLFAGS +=
LDLIBS += -lclalsadrv -lclthreads -lrt 


CLALSADRV_SO = libclalsadrv.so
CLALSADRV_MAJ = $(CLALSADRV_SO).$(MAJVERS)
CLALSADRV_MIN = $(CLALSADRV_MAJ).$(MINVERS)
CLALSADRV_DEP = -lasound
CLALSADRV_O = clalsadrv.o
CLALSADRV_H = clalsadrv.h


$(CLALSADRV_MIN): $(CLALSADRV_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLALSADRV_MAJ) -o $(CLALSADRV_MIN) $(CLALSADRV_O) $(CLALSADRV_DEP)


install:	$(CLALSADRV_MIN)
	install -Dm 644 $(CLALSADRV_H)   $(DESTDIR)$(PREFIX)/include/$(CLALSADRV_H)
	install -Dm 755 $(CLALSADRV_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(CLALSADRV_MIN)
	/sbin/ldconfig $(PREFIX)/$(LIBDIR)
	ln -sf $(CLALSADRV_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(CLALSADRV_SO)

clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*

=== debian/changelog ===
clalsadrv (2.0.0-5) unstable; urgency=medium

  * Team upload
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names
    (Name ⇒ Upstream-Name, Maintainer ⇒ Upstream-Contact)
  * Use secure URI in Homepage field.
  * Fix field name typo in debian/copyright (X-Comment ⇒ Comment).
  * Document debhelper-compat level in d/control
  * Bump Standards-Version to 4.7.3
  * Drop "Priority: optional": it is now implicit
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Dec 2025 20:07:32 +0100

clalsadrv (2.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062062

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:42:49 +0000

clalsadrv (2.0.0-4) unstable; urgency=medium

  * Team upload

  [ Alessio Treglia ]
  * Add sign-tags = True
  * Bump Standards

  [ Jaromír Mikeš ]
  * Fixed URL in copyright file
  * Fixed URL in homepage
  * Fixed URL in watch file

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 12:07:18 +0200

clalsadrv (2.0.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:37:37 +0100

clalsadrv (2.0.0-3) unstable; urgency=low

  * Change my email address.
  * Set Architecture field of libclalsadrv-dev to all, adjust Depends
    field properly.
  * Switch to format 3.0 (quilt).
  * Development stuff depend on libasound2-dev.
  * Update debian/copyright file.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Install sources of loopback and latency testsing applications as
    examples.
  * Pass --sourcedir to DH, this allows me to avoid the use of
    override_* rules.
  * Pass -Wl,--as-needed to the linker.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 09 Jul 2010 15:50:56 +0200

clalsadrv (2.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 12:25:13 +0200

clalsadrv (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME.
  * debian/rules: Look for the makefile in to the right path.
  * Refresh debian/patches/01-makefile.patch.
  * debian/control: Bump debhelper, override_dh_* are used in debian/rules.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 18 Mar 2010 20:02:36 +0100

clalsadrv (1.2.2-2) unstable; urgency=low

  * Switch to debhelper 7.
  * Replace dpatch with quilt, convert all patches to the quilt format.
  * debian/control:
    - Set maintainer to Debian Multimedia Maintainers.
    - Add myself to the Uploaders list.
    - Set DM-Upload-Allowed to yes.
    - Bump Standards-Version.
    - Add missing  macro to libclalsadrv-dev Depends field.
    - Add Homepage field.
    - Adjust Section fields properly.
    - Replace deprecated Source-Version substvar with binary:Version.
    - Improve long description.
  * debian/patches/01-makefile.patch:
    - Create /usr/include, otherwise doesn't install the headers.
    - Add comments as per DEP-3.
  * Remove unnecessary .dirs files, update .install files.
  * Update debian/copyright as per DEP-5 spec.
  * debian/README.source: Document how to patch the sources.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 17 Mar 2010 20:29:56 +0100

clalsadrv (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Updated watch file and home page in the copyright file
  * Updated makefile.dpatch

 -- Free Ekanayaka <freee@debian.org>  Thu, 24 May 2007 11:48:58 +0200

clalsadrv (1.1.0+1-1) unstable; urgency=low

  * New upstream release
  * Set Maintainer to debian-multimedia
  * Added myself to the uploaders
  * Fixed watch file

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 22:15:41 +0200

clalsadrv (1.0.1-3) unstable; urgency=low

  * Fixed broken Depends line for libclalsadrv-dev depending on the old
    shared library name

 -- Free Ekanayaka <free@agnula.org>  Thu, 21 Jul 2005 12:30:21 +0200

clalsadrv (1.0.1-2) unstable; urgency=low

  * Rebuilt against the GCC 4.0
  * Changed the library package name to libclalsadrv1, no
    need of the c2 suffix, as the so number (1) was not present
    in the previous package name (was simply libclalsadrv)
  * Conflicts with previous library package name

 -- Free Ekanayaka <free@agnula.org>  Thu,  7 Jul 2005 10:13:26 +0200

clalsadrv (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file

 -- Free Ekanayaka <free@agnula.org>  Fri,  8 Apr 2005 22:55:07 +0200

clalsadrv (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * First Debian upload (closes: #269394), sponsored by
    Cosimo Alfarano <kalfa@debian.org>

 -- Free Ekanayaka <free@agnula.org>  Wed,  1 Sep 2004 11:55:33 +0200

=== debian/control ===
Source: clalsadrv
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: https://salsa.debian.org/multimedia-team/clalsadrv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/clalsadrv
Standards-Version: 4.7.3

Package: libclalsadrv-dev
Section: libdevel
Architecture: all
Depends:
 libasound2-dev,
 libclalsadrv2t64 (<< ${source:Upstream-Version}+1~),
 libclalsadrv2t64 (>= ${source:Version}),
 ${misc:Depends},
Description: ALSA driver C++ access library (development files)
 C++ wrapper around the ALSA API.
 .
 This package includes the development tools.

Package: libclalsadrv2t64
Provides:
 ${t64:Provides},
Breaks:
 libclalsadrv2 (<< ${source:Version}),
Conflicts:
 libclalsadrv,
Replaces:
 libclalsadrv,
 libclalsadrv2,
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ALSA driver C++ access library
 C++ wrapper around the ALSA API.
 .
 This package includes the shared library object.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedir=libs

override_dh_installexamples:
	dh_installexamples --sourcedir=.

override_dh_missing:
	dh_missing --sourcedir=.
